List audit log entries
curl --request GET \
--url https://api.coderabbit.ai/v1/audit-logs \
--header 'x-coderabbitai-api-key: <api-key>'import requests
url = "https://api.coderabbit.ai/v1/audit-logs"
headers = {"x-coderabbitai-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-coderabbitai-api-key': '<api-key>'}};
fetch('https://api.coderabbit.ai/v1/audit-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"action": "repository_create",
"actionLabel": "Added repository",
"resourceType": "repository",
"resourceTypeLabel": "Repository",
"resourceSummary": "my-org/my-repo",
"actor": {
"name": "<string>",
"subtitle": "<string>",
"isBot": true,
"avatarUrl": "<string>"
},
"metadata": {},
"ipAddress": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"relativeTime": "1d ago"
}
],
"pagination": {
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123,
"has_next_page": true,
"has_previous_page": true
},
"filter_options": {
"actions": [
{
"value": "<string>",
"label": "<string>",
"count": 123
}
],
"resource_types": [
{
"value": "<string>",
"label": "<string>",
"count": 123
}
]
}
}{
"errors": [
{
"code": "INVALID_PARAMETER",
"message": "<string>"
}
]
}{
"errors": [
{
"message": "<string>"
}
]
}{
"error": {
"code": "NOT_ADMIN",
"message": "<string>"
}
}{
"error": {
"code": "LEGACY_API_KEY",
"message": "<string>"
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "<string>"
}
}{
"errors": [
{
"code": "INTERNAL_ERROR",
"message": "<string>"
}
]
}List audit log entries
Retrieve audit log entries for the organization. Supports filtering by actions, resource types, and date range. Returns paginated results with filter options.
GET
/
v1
/
audit-logs
List audit log entries
curl --request GET \
--url https://api.coderabbit.ai/v1/audit-logs \
--header 'x-coderabbitai-api-key: <api-key>'import requests
url = "https://api.coderabbit.ai/v1/audit-logs"
headers = {"x-coderabbitai-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-coderabbitai-api-key': '<api-key>'}};
fetch('https://api.coderabbit.ai/v1/audit-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"action": "repository_create",
"actionLabel": "Added repository",
"resourceType": "repository",
"resourceTypeLabel": "Repository",
"resourceSummary": "my-org/my-repo",
"actor": {
"name": "<string>",
"subtitle": "<string>",
"isBot": true,
"avatarUrl": "<string>"
},
"metadata": {},
"ipAddress": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"relativeTime": "1d ago"
}
],
"pagination": {
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123,
"has_next_page": true,
"has_previous_page": true
},
"filter_options": {
"actions": [
{
"value": "<string>",
"label": "<string>",
"count": 123
}
],
"resource_types": [
{
"value": "<string>",
"label": "<string>",
"count": 123
}
]
}
}{
"errors": [
{
"code": "INVALID_PARAMETER",
"message": "<string>"
}
]
}{
"errors": [
{
"message": "<string>"
}
]
}{
"error": {
"code": "NOT_ADMIN",
"message": "<string>"
}
}{
"error": {
"code": "LEGACY_API_KEY",
"message": "<string>"
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "<string>"
}
}{
"errors": [
{
"code": "INTERNAL_ERROR",
"message": "<string>"
}
]
}- CLI Tool
- MCP Server
coderabbit api request /audit-logs
This operation isn’t a tool on the CodeRabbit MCP server. Call it over REST or from the CLI.
Authorizations
See Authentication for the key types and where to create a key.
Query Parameters
Workspace-scoped API tokens only. Supply this git-provider organization ID or org_name, never both, to select one organization's audit logs. When both selectors are omitted, returns workspace-wide audit logs (all organizations plus workspace-level events). This org_id parameter is ignored for organization and self-hosted keys.
Was this page helpful?